
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= format( "sticky_ball%s", multiple_colour_name )
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "boulder-1"

	actor[cp_remove_between_stage]	= 1

	actor[cp_hit_power]				= 10.0
	actor[cp_material_hardness]		= 1

	actor[cp_bullet_spray_angle]	= 5.0

	actor[cp_rolly_polly_multiply]	= 15.0

	actor[cp_launch_hue_shift]		= colour_tables[use_multiple_colour+1]

	actor[cp_target_stop_dist]		= 3.0

	actor[cp_move_type]					= cmt_track_z

	actor[cp_actor_type]				= cat_crystal + cat_sticky_touch
	actor[cp_i_collide_with_beasties]	= cat_block + cat_player + cat_beastie
	actor[cp_these_collide_with_me]		= cat_bullet + cat_explosion + cat_particle

	actor[cp_score]					= 4

	-- movement
	actor[cp_move_speed_min]		= 0.27
	actor[cp_move_speed_max]		= 0.27
	actor[cp_move_acceleration]		= 0.01
	actor[cp_move_deceleration]		= 0.01
	actor[cp_move_inertia_accn]		= 0.99
	actor[cp_move_inertia_decn]		= 0.99

	actor[cp_turn_lock_angle_inner]		= 85.0
	actor[cp_turn_lock_angle_outer]		= 95.0
	actor[cp_turn_speed_still]		= 1.0
	actor[cp_turn_acceleration_still]	= 0.9
	actor[cp_turn_inertia_still]		= 0.9
	actor[cp_turn_speed_moving]		= 1.0
	actor[cp_turn_acceleration_moving]	= 0.9
	actor[cp_turn_inertia_moving]		= 0.9

	actor[cp_weight]					= 1.0
	actor[cp_max_explosion_speed]		= 0.5

	actor[cp_launch_scale_min]		= 66.0
	actor[cp_launch_scale_max]		= 66.0

-- leave me
	c_preload_model( actor )
-- leave me


	c_set_random_anim( "bounce", 200.0, 7000.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )
	c_set_random_anim( "bark1", 100.0, 200.0, 0.2, 2.0 )
	c_set_random_anim( "bark2", 100.0, 200.0, 0.2, 2.0 )
	c_set_random_anim( "bark3", 100.0, 200.0, 0.2, 2.0 )
	
	c_add_particle_to_speed( "bodbone", "boulder-dust" )
	c_add_particle_to_speed( "bodbone", "boulder-dirt" )

	c_add_sound_to_speed( "bouldermash_ball_roll_loop", 1.0 )

	c_add_debris_to_anim( "byebye", "main", "boulder_debris", {0.4,0.3,0.3,0.3,0.3,0.2,0.2,0.2,0.2,0.1,0.1,0.1} )
	c_add_debris_to_anim( "submerge", "main", "boulder_debris", {0.4,0.3,0.3,0.3,0.3,0.2,0.2,0.2,0.2,0.1,0.1,0.1} )


	local mutt_name = "smoke-puff"
	c_set_use_explosion_for( "enemy_hit_hard", mutt_name, exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )
	c_add_sound_to_event( "enemy_hit_hard", "bouldermash_ball_hit_hard", 1.0 )

	c_set_use_explosion_for( "enemy_hit_soft", mutt_name, exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )
	c_add_sound_to_event( "enemy_hit_soft", "bouldermash_ball_hit_soft", 1.0 )

	c_set_use_explosion_for( "bye_bye", mutt_name, exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )
	c_add_sound_to_anim( "byebye", "bouldermash_ball_dead", 1.0 )

	c_set_use_explosion_for( "submerge", mutt_name, exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )

	c_add_sound_to_event( "enemy_hit_same_colour", "bouldermash_ball_same_colour_hit", 1.0 )
	c_add_sound_to_event( "enemy_hit_opposite_colour", "bouldermash_ball_opposite_colour_hit", 1.0 )


	c_add_shadow_to_bone( "main", 7.0 )

	c_add_trail_to_actor( "dust-part.bmp", "", "", 100.0, 0.2, 5.0, 200, 100, 0, 150 )

--	c_set_trigger_mutate( "submerge", "sticky_touch", 0, 0, 1, 1, 0.0,0.0 )


if diff_level == 3.0 then
	use_multiple_colour = 1
else
	use_multiple_colour = 1
end

